> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Subscriptions

> Fetch all subscriptions associated with your Helio account.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml GET /v1/subscriptions
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/subscriptions:
    get:
      tags:
        - Subscription
      summary: Get All Subscriptions
      description: Fetch all subscriptions associated with your Helio account.
      operationId: SubscriptionController_getSubscriptions
      parameters:
        - name: email
          required: false
          in: query
          description: The email address used to set up the subscription.
          schema:
            type: string
        - name: paylink
          required: false
          in: query
          description: The ID of the pay link associated with the subscription.
          schema:
            type: string
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved subscription with transactions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionWithTransactions'
              examples:
                subscriptionsList:
                  summary: Retrieved subscriptions
                  value:
                    - id: 67a1e53e10905ce3927d6f1a
                      status: EXPIRED
                      email: test@hel.io
                      renewalDate: '2025-03-04T00:00:00.000Z'
                      createdAt: '2025-02-04T10:00:30.259Z'
                      transactions:
                        - id: 67a1e53810905ce3927d6e46
                          paylinkId: 67a0d1ed18c700e1cda9ebf6
                          fee: '2000'
                          quantity: 1
                          createdAt: '2025-02-04T10:00:24.839Z'
                          paymentType: PAYLINK
                          meta:
                            id: 67a1e53810905ce3927d6e44
                            amount: '98000'
                            senderPK: 7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW
                            recipientPK: 7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW
                            transactionType: PAYLINK
                            customerDetails:
                              email: jkbaffourr@gmail.com
                              discordUser: null
                            productDetails: null
                            additionalProductDetails: []
                            transactionSignature: >-
                              5QCkdQSeRd3sHs9etreVn1qR7RGcGrsQoHm6vw2ddSXYjSafrkSpPg3uCzv7D2eKg4toBPPyzyAxDUZDBPyGXBoD
                            transactionStatus: SUCCESS
                            splitRevenue: false
                            remainingAccounts: []
                            totalAmount: '98000'
                            affiliateAmount: '0'
                            tokenQuote:
                              from: USDC
                              fromAmountDecimal: '0.1'
                              to: USDC
                              toAmountMinimal: '100000'
                            shopifyPaymentDetails: null
                            submitGeolocation: GB
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    SubscriptionWithTransactions:
      type: object
      properties:
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/PaylinkTxWithBaseMeta'
        id:
          type: string
        status:
          enum:
            - ACTIVE
            - EXPIRED
          type: string
        email:
          type: string
        renewalDate:
          type: string
        createdAt:
          type: string
      required:
        - transactions
        - id
        - status
        - email
        - renewalDate
        - createdAt
    PaylinkTxWithBaseMeta:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````